#
# spec file for package python-incremental-test
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
Name:           python-incremental%{psuffix}
Version:        21.3.0
Release:        150400.1.7
Summary:        Library that versions your Python projects
License:        MIT
URL:            https://github.com/twisted/incremental
Source:         https://files.pythonhosted.org/packages/source/i/incremental/incremental-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Suggests:       %{python_module Twisted >= 16.4.0}
Suggests:       %{python_module click >= 6.0}
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module Twisted >= 16.4.0}
BuildRequires:  %{python_module click >= 6.0}
BuildRequires:  %{python_module pytest}
%endif
%python_subpackages

%description
Incremental is a small library that versions your Python projects.

%prep
%setup -q -n incremental-%{version}

%build
%python_build

%install
%if !%{with test}
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%if %{with test}
%check
# test_prereleaseAttributeDeprecated - same as bellow
# test_prereleaseDeprecated - uses deprecated pytest behaviour removed with pytest 5.4
%pytest -k 'not test_prereleaseAttributeDeprecated and not test_prereleaseDeprecated'
%endif

%if !%{with test}
%files %{python_files}
%license LICENSE
%doc NEWS.rst README.rst
%{python_sitelib}/*
%endif

%changelog
* Sun May  9 2021 dmueller@suse.com
- update to 21.3.0:
  - The output of incremental is now compatible with Black (#56, #60)
  - Incremental now properly supports PEP 440-compliant dev, rc, post suffixes (#62)
  - Incremental now properly supports PEP 440-compliant post releases (#37)
  - Incremental will no longer attempt to read git or svn repositories to see if
    the project is running from a checkout. (#30, #31, #32)
* Wed Apr 29 2020 tchvatal@suse.com
- Skip two tests that fail due to changes in pytest framework
  needs to be fixed by upstream
* Thu Jun  6 2019 tchvatal@suse.com
- Switch to multibuild to avoid build cycle
* Wed Jun  5 2019 pgajdos@suse.com
- run the testsuite
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Tue Jul  4 2017 tbechtold@suse.com
- Initial packaging (version 17.5.0)
